from django.db import models
from studentadmission.models import Students

# Create your models here.
class StudentResult(models.Model):
    student = models.ForeignKey(Students, on_delete=models.CASCADE)
    result_title = models.CharField(max_length=50, verbose_name='Title')
    student_result = models.FileField(upload_to='results/')

    created = models.DateTimeField(auto_now_add=True)
    updated = models.DateTimeField(auto_now=True)
    
    def __str__(self):
        return str(self.student) + ' Academic Results'


class StudentRollNoSlip(models.Model):
    student = models.ForeignKey(Students, on_delete=models.CASCADE)
    title = models.CharField(max_length=150, verbose_name='Title')
    rollno_slip = models.FileField(upload_to='Rollnoslips/', verbose_name='Roll No Slip')

    created = models.DateTimeField(auto_now_add=True)
    updated = models.DateTimeField(auto_now=True)
    
    def __str__(self):
        return str(self.student) + ' Roll No Slip'